local LAM = LibAddonMenu2
local SF = LibSFUtils
local SL=Slasher
local ASST=Slasher.assts
local HOLS=Slasher.holiday_items

local L = GetString

--cache data for dropdown:
local bankers = { 
	choices = { 
		L(SL_BANKER_SHOWNAME_ORIG), 
		L(SL_BANKER_SHOWNAME_ALFIQ),
		L(SL_BANKER_SHOWNAME_CROW),
		L(SL_BANKER_SHOWNAME_CLOCK),
		L(SL_BANKER_SHOWNAME_MONST),
	},
	choicesValues = {	
		267, 
		6376, 
		8994, 
		9743,
		11097,
	},
}

local merchants = { 
	choices = { 
		L(SL_MERCHANT_SHOWNAME_ORIG), 
		L(SL_MERCHANT_SHOWNAME_ALFIQ),
		L(SL_MERCHANT_SHOWNAME_CROW),
		L(SL_MERCHANT_SHOWNAME_CLOCK),
		L(SL_MERCHANT_SHOWNAME_MONST),
		L(SL_MERCHANT_SHOWNAME_XYN),
	},
	choicesValues = {	
		301, 
		6378, 
		8995, 
		9744,
		11059,
		12414,
	},
}

local decons = { 
	choices = { 
		L(SL_DECON_SHOWNAME_GIL), 
		L(SL_DECON_SHOWNAME_ADE),
	},
	choicesValues = {	
		10184, 
		10617, 
	},
}
--[[
local events = {
	choices = {
		L(SL_EVENT_SHOWNAME_CAKE),
		L(SL_EVENT_SHOWNAME_WHISTLE),
		L(SL_EVENT_SHOWNAME_PIE),
		L(SL_EVENT_SHOWNAME_MEAD),
	},
	choicesValues = {
		SL.holiday_items.JUBALEE_CAKE2024,
		SL.holiday_items.WITCHMOTHERS_WHISTLE,
		SL.holiday_items.PIE_OF_MISRULE,
		SL.holiday_items.BREDAS_MEAD_CUP,
	},
}
--]]

local panelData = {
    type = "panel",
    name = SL.name,
	displayName = SL.displayName,
	author = SL.author,
	version = SL.version,
    slashCommand = "/slasher",
	registerForRefresh = true,
	registerForDefaults = true,
}

local optionsTable = {
		{		
			type = "dropdown",
			name = SL_BANKER_DROPDOWN_NAME,
			scrollable = false,
			choices = bankers.choices,
			choicesValues = bankers.choicesValues,
			
			getFunc = function()  
				return SL.saved.banker
			end,
			setFunc = function(value)
				SL.saved.banker = value
			end, 
			default = 267,
			width = "full",
		},
		{		
			type = "dropdown",
			name = SL_MERCHANT_DROPDOWN_NAME,
			scrollable = false,
			choices = merchants.choices,
			choicesValues = merchants.choicesValues,
			
			getFunc = function()  
				return SL.saved.merchant
			end,
			setFunc = function(value)
				SL.saved.merchant = value
			end, 
			default = 301,
			width = "full",
		},
		{		
			type = "dropdown",
			name = SL_DECON_DROPDOWN_NAME,
			scrollable = false,
			choices = decons.choices,
			choicesValues = decons.choicesValues,
			
			getFunc = function()  
				return SL.saved.decon
			end,
			setFunc = function(value)
				SL.saved.decon = value
			end, 
			default = 10184,
			width = "full",
		},

		{
			type = "checkbox",
			name = SL_RESUMMON_COMPANION_NAME,
			tooltip = SL_RESUMMON_COMPANION_TT,
			getFunc = function() return SL.saved.resummon end,
			setFunc = function(x)
				SL.saved.resummon = x
			end,
			default = false,
		},  -- end checkbox
		--[[
		{		
			type = "dropdown",
			name = SL_EVENT_DROPDOWN_NAME,
			scrollable = false,
			choices = events.choices,
			choicesValues = events.choicesValues,
			
			getFunc = function()  
				return SL.saved.event
			end,
			setFunc = function(value)
				SL.saved.event = value
			end, 
			default = 1168,
			width = "full",
		},
		--]]
}   -- end optionsTable

function SL.RegisterSettings()
   LAM:RegisterAddonPanel("SlasherOptions", panelData)
   LAM:RegisterOptionControls("SlasherOptions", optionsTable)
end
